/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.exception;

import xyz.zhouxy.plusone.commons.exception.BaseException;

/**
 * 业务异常
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class BizException extends BaseException {
    @java.io.Serial
    private static final long serialVersionUID = -5524759033245815405L;

    public static final int DEFAULT_ERROR_CODE = 4000000;

    public BizException(int code, String msg) {
        super(code, msg);
    }

    public BizException(int code, Throwable cause) {
        super(code, cause);
    }

    public BizException(int code, String msg, Throwable cause) {
        super(code, msg, cause);
    }

    public BizException(String msg) {
        super(DEFAULT_ERROR_CODE, msg);
    }

    public BizException(Throwable cause) {
        super(DEFAULT_ERROR_CODE, cause);
    }

    public BizException(String msg, Throwable cause) {
        super(DEFAULT_ERROR_CODE, msg, cause);
    }
}
