/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * 需要时，当查询数据不存在时抛出的异常
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@ResponseStatus(HttpStatus.NOT_FOUND)
public class DataNotExistException extends BizException {

    @java.io.Serial
    private static final long serialVersionUID = 6536955800679703111L;

    public static final int ERROR_CODE = 4110100;

    public DataNotExistException() {
        super(ERROR_CODE, "数据不存在");
    }

    public DataNotExistException(String message) {
        super(ERROR_CODE, message);
    }
}
