/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.oss;

/**
 * 封装 FastDFS 的 {@link org.csource.common.MyException}
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class FastDFSException extends Exception {
    private static final long serialVersionUID = 7871031982887742468L;

    public FastDFSException() {
    }

    public FastDFSException(String message) {
        super(message);
    }

    public FastDFSException(Throwable cause) {
        super(cause);
    }

    public FastDFSException(String message, Throwable cause) {
        super(message, cause);
    }

    public FastDFSException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
