/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import javax.annotation.Resource;

import org.apache.commons.io.IOUtils;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import lombok.extern.slf4j.Slf4j;
import xyz.zhouxy.plusone.oss.FastDFSException;
import xyz.zhouxy.plusone.oss.FastDFSUtil;
import xyz.zhouxy.plusone.oss.FastDFSUtil.FastDFSFile;

@SpringBootTest(classes = PlusoneApplication.class)
@Slf4j
class FastDFSTests {

    @Resource
    FastDFSUtil fastDFSUtil;

    @Test
    void testOSS() throws FileNotFoundException, IOException, FastDFSException {
        try (FileInputStream in = new FileInputStream("D:\\ZhouXY\\Desktop\\666.png");) {
            byte[] content = IOUtils.toByteArray(in);
            String[] upload = fastDFSUtil.upload(new FastDFSFile("666.png", content, "png"));
            log.info(String.join("/", upload));
        }
    }
}
