/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone;

import static org.junit.jupiter.api.Assertions.assertNotNull;

import javax.annotation.Resource;

import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import xyz.zhouxy.plusone.system.application.query.result.LoginInfoViewObject;
import xyz.zhouxy.plusone.system.application.service.AdminLoginService;
import xyz.zhouxy.plusone.system.application.service.command.LoginByPasswordCommand;
import xyz.zhouxy.plusone.system.domain.model.account.AccountRepository;

@SpringBootTest(classes = PlusoneApplication.class)
class TestAop {

    @Resource
    AccountRepository repository;

    @Resource
    AdminLoginService service;

    @Test
    void testAop() {
        LoginByPasswordCommand command = new LoginByPasswordCommand();
        command.setPrincipal("Code108");
        command.setPassword("2333");
        command.setRememberMe(false);
        assertNotNull(service);
        LoginInfoViewObject loginInfo = service.loginByPassword(command);
        System.err.println(loginInfo);
    }
}
