/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.common.exception;

import xyz.zhouxy.plusone.exception.BizException;

/**
 * 不支持的 Principal 类型出现时抛出的异常
 *
 * @author <a href="https://zhouxy.xyz:3000/ZhouXY108">ZhouXY</a>
 */
public class UnsupportedPrincipalTypeException extends BizException {

    private static final long serialVersionUID = 5207757290868470762L;

    public static final int ERR_CODE = 4040201;
    private static final String DEFAULT_ERROR_MSG = "不支持的 PrincipalType";

    public UnsupportedPrincipalTypeException() {
        super(ERR_CODE, DEFAULT_ERROR_MSG);
    }

    public UnsupportedPrincipalTypeException(String msg) {
        super(ERR_CODE, msg);
    }

    public UnsupportedPrincipalTypeException(Throwable cause) {
        super(ERR_CODE, cause);
    }

    public UnsupportedPrincipalTypeException(String msg, Throwable cause) {
        super(ERR_CODE, msg, cause);
    }
}
