/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.common.util;

import java.util.regex.Pattern;

import lombok.Getter;
import xyz.zhouxy.plusone.commons.constant.PatternConsts;

public enum PrincipalType {
    EMAIL(PatternConsts.EMAIL),
    MOBILE_PHONE(PatternConsts.MOBILE_PHONE),
    USERNAME(PatternConsts.USERNAME)
    ;

    @Getter
    private final Pattern regex;

    PrincipalType(Pattern regex) {
        this.regex = regex;
    }
}
