/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.exception.handler;

import javax.annotation.Nonnull;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import xyz.zhouxy.plusone.exception.handler.BaseExceptionHandler;
import xyz.zhouxy.plusone.system.application.exception.AccountLoginException;
import xyz.zhouxy.plusone.commons.util.RestfulResult;

@RestControllerAdvice
public class AccountLoginExceptionHandler extends BaseExceptionHandler {

    public AccountLoginExceptionHandler(ExceptionInfoHolder exceptionInfoHolder) {
        super(exceptionInfoHolder);
    }

    @ExceptionHandler({ AccountLoginException.class })
    public ResponseEntity<RestfulResult> handleException(@Nonnull Exception e) {
        return buildExceptionResponse(e);
    }
}
