/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.query;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import xyz.zhouxy.plusone.commons.util.PageDTO;
import xyz.zhouxy.plusone.system.application.query.params.AccountQueryParams;
import xyz.zhouxy.plusone.system.application.query.result.AccountDetails;
import xyz.zhouxy.plusone.system.application.query.result.AccountOverview;

/**
 * 账号信息查询器
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Mapper
public interface AccountQueries {

    default PageDTO<AccountOverview> queryAccountOverviewPage(AccountQueryParams queryParams) {
        List<AccountOverview> content = queryAccountOverview(queryParams);
        long total = count(queryParams);
        return PageDTO.of(content, total);
    }

    List<AccountOverview> queryAccountOverview(AccountQueryParams queryParams);

    long count(AccountQueryParams queryParams);

    AccountDetails queryAccountDetails(Long accountId);

}
