/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.service.command;

import lombok.Data;
import xyz.zhouxy.plusone.domain.ICommand;
import xyz.zhouxy.plusone.system.application.common.util.PrincipalType;

/**
 * 登录命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class LoginByPasswordCommand implements ICommand {

    String principal; // 用户名 / 邮箱地址 / 手机号
    String password; // 密码
    boolean rememberMe; // 记住我
    PrincipalType principalType;

    // 进入登陆界面时或刷新验证码时，前端发送图形验证码的请求，后端生成 captcha 并暂存到 redis 中，key 为 UUID，将图形和 uuid 响应给前端。
    // String uuid; // 校验码的 key
    // String captcha; // 校验码
}
