/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.service.command;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

import lombok.Data;
import xyz.zhouxy.plusone.commons.constant.RegexConsts;
import xyz.zhouxy.plusone.domain.ICommand;

/**
 * 注册账号命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class RegisterAccountCommand implements ICommand {

    @NotBlank
    String emailOrMobilePhone;

    @NotBlank
    @Pattern(regexp = RegexConsts.CAPTCHA)
    String code; // 校验码

    @NotBlank
    @Pattern(regexp = RegexConsts.USERNAME)
    String username;

    @NotBlank
    @Pattern(regexp = RegexConsts.PASSWORD)
    String password;
    String reenteredPassword;

    @Pattern(regexp = RegexConsts.NICKNAME)
    String nickname;
}
