/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.service.command;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;
import xyz.zhouxy.plusone.domain.ICommand;
import xyz.zhouxy.plusone.system.domain.model.menu.Menu.MenuType;

/**
 * 更新菜单信息命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Getter
@Setter
public class UpdateMenuCommand implements ICommand {

    @NotNull
    private Long id;

    @NotNull
    private MenuType menuType;

    @NotNull
    private Long parentId;

    @NotBlank
    private String path;

    @NotBlank
    private String name;

    @NotBlank
    private String title;

    @NotBlank
    private String icon;

    @NotNull
    private Boolean hidden;

    @NotNull
    private Integer orderNumber;

    @NotNull
    private Integer status;

    private String component;

    private String resource;

    @NotNull
    private Boolean cache;

    private String remarks;
}
