/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.application.service.command;

import java.util.Set;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;
import xyz.zhouxy.plusone.domain.ICommand;

/**
 * 更新角色信息命令
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
@Data
public class UpdateRoleCommand implements ICommand {

    @NotNull
    Long id;

    @NotBlank
    String name;

    @NotBlank
    String identifier;

    @NotNull
    Integer status;

    @NotBlank
    String remarks;

    @NotNull
    Set<Long> menus;

    @NotNull
    Set<Long> permissions;
}
