/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.constant;

import cn.dev33.satoken.stp.StpLogic;

/**
 * 维护 StpLogic 的实例
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 */
public class AuthLogic {
    private AuthLogic() {
        throw new IllegalStateException("Utility class");
    }

    public static final String ADMIN_LOGIN_TYPE = "Admin";
    public static final StpLogic adminAuthLogic = new StpLogic(ADMIN_LOGIN_TYPE);

    public static final String USER_LOGIN_TYPE = "User";
    public static final StpLogic userAuthLogic = new StpLogic(USER_LOGIN_TYPE);
}
