/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.domain.model.account;

import java.util.Collection;
import java.util.Optional;

import xyz.zhouxy.plusone.domain.IRepository;

/**
 * AccountRepository
 *
 * @author <a href="https://gitee.com/zhouxy108">ZhouXY</a>
 * @see Account
 */
public interface AccountRepository extends IRepository<Account, Long> {

    Collection<Account> findByRoleId(Long roleId);

    Optional<Account> findByEmail(Email email);

    Optional<Account> findByMobilePhone(MobilePhone mobilePhone);

    Optional<Account> findByUsername(Username username);

    boolean existsUsername(Username username);

    boolean existsEmail(Email email);

    boolean existsMobilePhone(MobilePhone email);

}
