/*
 * Copyright 2022-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.zhouxy.plusone.system.domain.model.menu;

import java.util.Collection;

import xyz.zhouxy.plusone.domain.IRepository;

public interface MenuRepository extends IRepository<Menu, Long> {

    Collection<Menu> findByIdIn(Collection<Long> ids);

    Collection<Menu> queryByRoleId(Long roleId);

    Collection<Action> findPermissionsByIdIn(Collection<Long> permissionIds);

}
